Package org.apache.felix.http.base.internal.dispatch

# Class MultipartConfig

java.lang.Object
org.apache.felix.http.base.internal.dispatch.MultipartConfig

public final class MultipartConfig extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MultipartConfig`
`DEFAULT_CONFIG`
`static final MultipartConfig`
`INVALID_CONFIG`
`final String`
`multipartLocation`
Specifies the multipart location
`final long`
`multipartMaxFileCount`
Specifies the multipart max files
`final long`
`multipartMaxFileSize`
Specifies the multipart max file size
`final long`
`multipartMaxRequestSize`
Specifies the multipart max request size
`final int`
`multipartThreshold`
Specifies the multipart threshold

## Constructor Summary

Constructors
Constructor
Description
`MultipartConfig(Integer threshold, String location, long maxFileSize, long maxRequestSize, long maxFileCount)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CONFIG

public static final MultipartConfig DEFAULT_CONFIG

### INVALID_CONFIG

public static final MultipartConfig INVALID_CONFIG

### multipartThreshold

public final int multipartThreshold
Specifies the multipart threshold

### multipartLocation

public final String multipartLocation
Specifies the multipart location

### multipartMaxFileSize

public final long multipartMaxFileSize
Specifies the multipart max file size

### multipartMaxRequestSize

public final long multipartMaxRequestSize
Specifies the multipart max request size

### multipartMaxFileCount

public final long multipartMaxFileCount
Specifies the multipart max files

## Constructor Details

### MultipartConfig

public MultipartConfig(Integer threshold, String location, long maxFileSize, long maxRequestSize, long maxFileCount)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`